Classes (extension) | Libraries>BBCut

# CutComb1 : CutSynth : Object
Extension

BBCut2 comb filter
Source: CutComb1.sc
See also: BBCut

## Description

CutComb1 adds a comb filter to BBCut2.

Both arguments can be constant values, but they can also be anything that responds to .value. In the latter case, .value is called every repeat, with the repeat number as the first argument and the block as the second argument.

## Class Methods

### CutComb1.new(deltime: 0.01, dectime: 0.5)

#### Arguments:

deltime | Delay time.
dectime | Decay time.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### .dectime

### .dectime = value

### .deltime

### .deltime = value

### .free

### .renderBlock(block, clock)

### .setup

## Examples

    ~buf = BBCutBuffer(Platform.resourceDir +/+ "sounds/break.aiff", 8);

    BBCut2(CutGroup([CutBuf3(~buf, 0.3), CutComb1(0.01, 0.5)]), BBCutProc11()).play(2.5);

    BBCut2(CutGroup([CutBuf3(~buf, 0.3), CutComb1({ exprand(100, 200).reciprocal }, 0.5)]), BBCutProc11()).play(2.5);

    r = Routine({ loop { [48, 55, 62, 65].scramble.midicps.reciprocal.do(_.yield) } });
    BBCut2(CutGroup([CutBuf3(~buf, 0.3), CutComb1(r, 0.5)]), BBCutProc11()).play(2.5);

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/BBCut/HelpSource/Classes/CutComb1.schelp
link::Classes/CutComb1::